summaryrefslogtreecommitdiffstats
path: root/source/ap/rpm/rpm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/rpm/rpm.SlackBuild')
-rwxr-xr-xsource/ap/rpm/rpm.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/ap/rpm/rpm.SlackBuild b/source/ap/rpm/rpm.SlackBuild
index ff61a2e20..45d4ad48c 100755
--- a/source/ap/rpm/rpm.SlackBuild
+++ b/source/ap/rpm/rpm.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rpm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -95,6 +95,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix for non-compliant RPMs created by install4j:
+zcat $CWD/rpm.install4j.compat.diff.gz | patch -p1 --verbose || exit 1
+
# We need to do this since there's a bugfix for python3.10 detection in
# the latest automake:
autoreconf -vif